package com.palmnest.model.estateserve;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * ScReplykeywords entity.
 *
 * @author MyEclipse Persistence Tools
 */

/**
 * @author Administrator
 *
 */
@Entity
@Table(name = "tb_wxPublicno")
public class WxPublicno implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	// Fields
	private Integer id;
	private String  developId;
	private String  name;
	private String  appId;
	private String  appSecret;
	private String  url;             // 二维码图片
	private String  developType;     // 公众号类型，  1-订阅号 2-服务号
	private String  serviceType;     // 公众号服务范围 1-业主 2-员工 3-商户
	private String  wxSecret;         // 对应公众平台签名
	private String  creator;             // 创建人
	private Date    createTime;         // 创建时间
	private String  modifier;
	private String  wxApiKey;
	private Date    modifyTime;
	private String  mchId;
	private String  isEnabled;
	private String  getAccessTokenUrl;
	private String  sslcertPath;
	private String  sslcertPassword;
	
	
    private String templateId;
    private Integer isOpenTemplate;
    
    @Column(name = "template_id")
    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }
    @Column(name = "is_open_template")
    public Integer getIsOpenTemplate() {
        return isOpenTemplate;
    }

    public void setIsOpenTemplate(Integer isOpenTemplate) {
        this.isOpenTemplate = isOpenTemplate;
    }

	// Property accessors
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Column(name = "developId")
	public String getDevelopId() {
		return developId;
	}

	public void setDevelopId(String developId) {
		this.developId = developId;
	}

	@Column(name = "name")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "appId")
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	@Column(name = "appSecret")
	public String getAppSecret() {
		return appSecret;
	}

	public void setAppSecret(String appSecret) {
		this.appSecret = appSecret;
	}

	@Column(name = "url")
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	@Column(name = "developType")
	public String getDevelopType() {
		return developType;
	}

	public void setDevelopType(String developType) {
		this.developType = developType;
	}

	@Column(name = "serviceType")
	public String getServiceType() {
		return serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}

	@Column(name = "wxSecret")
	public String getWxSecret() {
		return wxSecret;
	}

	public void setWxSecret(String wxSecret) {
		this.wxSecret = wxSecret;
	}

	@Column(name = "creator")
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	@Column(name = "createTime")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "modifier")
	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	@Column(name = "modifyTime")
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@Column(name = "isEnabled")
	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public String getWxApiKey() {
		return wxApiKey;
	}

	public void setWxApiKey(String wxApiKey) {
		this.wxApiKey = wxApiKey;
	}

	public String getMchId() {
		return mchId;
	}

	public void setMchId(String mchId) {
		this.mchId = mchId;
	}

	@Column(name = "getAccessTokenUrl")
	public String getGetAccessTokenUrl() {
		return getAccessTokenUrl;
	}

	public void setGetAccessTokenUrl(String getAccessTokenUrl) {
		this.getAccessTokenUrl = getAccessTokenUrl;
	}

	@Column(name = "sslcertPath")
	public String getSslcertPath() {
		return sslcertPath;
	}

	public void setSslcertPath(String sslcertPath) {
		this.sslcertPath = sslcertPath;
	}

	@Column(name = "sslcertPassword")
	public String getSslcertPassword() {
		return sslcertPassword;
	}

	public void setSslcertPassword(String sslcertPassword) {
		this.sslcertPassword = sslcertPassword;
	}

	@Override
	public String toString() {
		return "WxPublicno [id=" + id + ", name=" + name + "]";
	}


}